Bug 199808 - 2.6.17-1.2145_FC5 kernel upgrade causes system to hang on boot
2.6.17-1.2145_FC5 kernel upgrade causes system to hang on boot
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-07-22 09:01 EDT by Antony Carr
Modified: 2008-01-19 23:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-19 23:41:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Antony Carr 2006-07-22 09:01:54 EDT
Description of problem:
I have just completed a fresh install of FC5 and attempted to upgrade to the
latest kernel version (2.6.17-1.2145_FC5) using yum (and a manual download of
the RPM.)  The upgrade results in a system hang very early on in the boot sequence. 

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1. Install fresh FC5 
2. update to kernel version 2.6.17-1.2145_FC5
3. boot (remove the quiet option from the kernel arguments to see more detail)
Actual results:

The system hangs after 'Making device-mapper control node' appears (only visible
when doing a non-silent boot).

Expected results:

successfull boot into the new kernel.
Additional info:
Comment 1 Antony Carr 2006-07-22 09:05:52 EDT
The system I am attempting to do the upgrade on uses LVM for all partitions
other than /boot.  
Comment 2 Antony Carr 2006-07-22 09:47:35 EDT
I have just tried the proposed kernel update kernel-2.6.17-1.2159_FC5 from the
fedora updates website, this kernel also hangs on boot.
Comment 3 Jason Smyth 2006-08-19 01:13:52 EDT
Possibly related to Bug 196556?
Comment 4 Dave Jones 2006-10-16 15:38:02 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 5 Jon Stanley 2008-01-19 23:41:34 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.